import { jsx as _jsx } from "react/jsx-runtime";
import { ErrorIcon, NormalIcon, WaitingIcon } from 'components/Svg';
export var StatusType;
(function (StatusType) {
    StatusType["normal"] = "normal";
    StatusType["waiting"] = "waiting";
    StatusType["error"] = "error";
})(StatusType || (StatusType = {}));
var Status = function (_a) {
    var type = _a.type;
    switch (type) {
        case StatusType.normal:
            return _jsx(NormalIcon, {});
        case StatusType.waiting:
            return _jsx(WaitingIcon, {});
        case StatusType.error:
            return _jsx(ErrorIcon, {});
        default:
            return type;
    }
};
export default Status;
